Bug 972780 - Unable to launch a compute instance (openstack-foreman)
Unable to launch a compute instance (openstack-foreman)
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer (Show other bugs)
3.0
Unspecified Unspecified
high Severity high
: rc
: 3.0
Assigned To: Jordan OMara
Jay Turner
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 11:11 EDT by Crag Wolfe
Modified: 2016-04-26 11:41 EDT (History)
12 users (show)

See Also:
Fixed In Version: ruby193-openstack-foreman-installer-0.0.17-1.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-27 12:46:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Crag Wolfe 2013-06-10 11:11:14 EDT
Description of problem:
After installing controller and compute nodes, unable to launch an instance.

Version-Release number of selected component (if applicable):

How reproducible:
Always.

Steps to Reproduce:
1.  Use the ruby193-openstack-foreman-installer to install compute and controller nodes.

Actual results:
Horizon works, but unable to launch a compute instance.

Expected results:
Able to launch a compute instance.

Additional info:
This is fixed by adding 'nova::conductor' to puppet/quickstack/manifests/controller.pp .
Comment 1 Perry Myers 2013-06-10 11:56:13 EDT
If this is a fix needed on Nova puppet modules, we ship those on the openstack-packstack component, so this should be a patch/fix on that component, correct?  I'll move components for now.
Comment 3 Martin Magr 2013-06-10 13:59:33 EDT
Where can I get puppet/quickstack/manifests/controller.pp to see what changes are needed for Packstack?
Comment 4 Martin Magr 2013-06-10 14:13:10 EDT
Not sure why this didn't appeared here, probably bugzilla proxy lag or something. Will post repost response and respond to it:

------- Additional Comments from Crag Wolfe <cwolfe@redhat.com>
This is the change that was needed:
https://github.com/jsomara/astapor/commit/f9ed2f00e47cd69293dc9ad4b29c9186e1c4e
e6f

Since we have this in Packstack already, I don't see where's problem in Packstack:
https://github.com/stackforge/packstack/blob/master/packstack/puppet/templates/nova_conductor.pp
Comment 10 Jordan OMara 2013-06-21 09:27:33 EDT
Verified fixed in ruby193-openstack-foreman-installer-0.0.17-1.el6ost + packstack-modules-puppet-2013.1.1-0.19.dev632.el6ost.noarch
Comment 12 errata-xmlrpc 2013-06-27 12:46:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0995.html

Note You need to log in before you can comment on or make changes to this bug.